Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453510 - It is impossible to set action "Show Dashboard" on both win-keys
Summary: It is impossible to set action "Show Dashboard" on both win-keys
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 05:09 UTC by Cepreu
Modified: 2008-07-08 11:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-08 11:24:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 166006 None None None Never

Description Cepreu 2008-07-01 05:09:59 UTC
Description of problem:
It is impossible to set action "Show Dashboard" on both win-keys.

Version-Release number of selected component (if applicable):
kdebase-4.0.5-4.fc9.i386

Steps to Reproduce:
1.Run xev to detect your win-keys codes. For me is: 115 - left, 116 - right.
2.Run "xmodmap -e 'keycode 116 = F15'" and "xmodmap -e 'keycode 115 = F15'" to
assing another keysym at this keys.
3.Go to System settings > Keyboard and mouse > Keys combinations > plasma.
4.Try to assign at action "Show dashboard" left win-key and right win-key. In
both cases applet show, that F15 assigned.
5.But in both cases, when you close applet only one win-key work. For me it is
always left win-key.
  
Actual results:
Both keys must work.

Expected results:
Work only one.

Additional info:
Also i was tried "xmodmap -e 'keycode 116 = F14'" and then "xmodmap -e 'keysym
F14 = F15'". Such problem...

Comment 1 Steven M. Parrish 2008-07-06 18:11:53 UTC
Checked upstream and found no matching bug.  Please report at
http://bugs.kde.org and add upstream info to this report.  We will monitor for
resolution.

Comment 2 Lukáš Tinkl 2008-07-07 12:39:01 UTC
AFAIK you can't assign 2 keycodes to the same symkey

Comment 3 Cepreu 2008-07-07 22:48:01 UTC
But when i assign two keys on one keysym and press any of this keys in System
settings > Keyboard and mouse > Keys combinations this program show, that key is
pressed! Why? But when i try to use this combination it is does not work. Also,
look "Additional info". I was try to xmodmap -e 'keysym F14 = F15'.
Documentation (man xmodmap) says it is way to assign one keysym at another. So i
can assign any key on first keysym. And it is work in System settings > Keyboard
and mouse > Keys combinations. Program shows, that key pressed and assign it,
when i press any of win-keys. But also i have such problem, when i use first
method...

Comment 4 Cepreu 2008-07-07 22:52:57 UTC
Ok, this is my report: http://bugs.kde.org/show_bug.cgi?id=166006


Note You need to log in before you can comment on or make changes to this bug.